(define (script-fu-center-layer img drw x? y?)
  (let* (
	 (lx (car (gimp-drawable-width drw)))
	 (ly (car (gimp-drawable-height drw)))
	 (ix (car (gimp-image-width img)))
	 (iy (car (gimp-image-height img)))
	 (ox (car (gimp-drawable-offsets drw)))
	 (oy (cadr (gimp-drawable-offsets drw)))
	 )
    (if (= x? TRUE)
	(set! ox (/ (- ix lx) 2)))
    (if (= y? TRUE)
	(set! oy (/ (- iy ly) 2)))
    (gimp-layer-set-offsets drw ox oy)))

(script-fu-register
 "script-fu-center-layer"
 "<Image>/Script-Fu/Utils/Center Layer"
 "move current layer to the center of the image"
 "FUJITA Yuji (yuji@wl.me.titech.ac.jp)"
 "FUJITA Yuji"
 "2000/12/06"
 "*"
 SF-IMAGE "Image to draw" 0
 SF-DRAWABLE "Drawable to edit" 0
;; SF-TOGGLE "All? " FALSE
 SF-TOGGLE "Center to X axis ?" TRUE
 SF-TOGGLE "Center to Y axis ?" FALSE
)
